Package com.io7m.cedarbridge.schema.ast

# Record Class CBASTField

java.lang.Object
java.lang.Record
com.io7m.cedarbridge.schema.ast.CBASTField

Record Components:
  `userData` - The user data
  `lexical` - The lexical info
  `type` - The field type
  `name` - The field name

All Implemented Interfaces:
  `CBASTDeclarationType`, `CBASTElementType`, `CBASTRecordMemberType`, `CBASTVariantMemberType`, `com.io7m.jlexing.core.LexicalType<URI>`

public record CBASTField(CBASTMutableUserData userData, com.io7m.jlexing.core.LexicalPosition<URI> lexical, CBASTFieldName name, CBASTTypeExpressionType type) extends Record implements CBASTVariantMemberType, CBASTRecordMemberType, CBASTElementType
A field appearing inside a record or a variant case.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CBASTField(CBASTMutableUserData userData, com.io7m.jlexing.core.LexicalPosition<URI> lexical, CBASTFieldName name, CBASTTypeExpressionType type)`
  A field appearing inside a record or a variant case.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `com.io7m.jlexing.core.LexicalPosition<URI>`
  `lexical()`
  Returns the value of the `lexical` record component.
  `CBASTFieldName`
  `name()`
  Returns the value of the `name` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `CBASTTypeExpressionType`
  `type()`
  Returns the value of the `type` record component.
  `CBASTMutableUserData`
  `userData()`
  Returns the value of the `userData` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CBASTField

    public CBASTField(CBASTMutableUserData userData, com.io7m.jlexing.core.LexicalPosition<URI> lexical, CBASTFieldName name, CBASTTypeExpressionType type)
    A field appearing inside a record or a variant case.
    Parameters:
      `userData` - The user data
      `lexical` - The lexical info
      `type` - The field type
      `name` - The field name

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### userData

    public CBASTMutableUserData userData()
    Returns the value of the `userData` record component.
    Specified by:
      `userData` in interface `CBASTElementType`
    Returns:
      the value of the `userData` record component

  - ### lexical

    public com.io7m.jlexing.core.LexicalPosition<URI> lexical()
    Returns the value of the `lexical` record component.
    Specified by:
      `lexical` in interface `CBASTElementType`
    Specified by:
      `lexical` in interface `com.io7m.jlexing.core.LexicalType<URI>`
    Returns:
      the value of the `lexical` record component

  - ### name

    public CBASTFieldName name()
    Returns the value of the `name` record component.
    Returns:
      the value of the `name` record component

  - ### type

    public CBASTTypeExpressionType type()
    Returns the value of the `type` record component.
    Returns:
      the value of the `type` record component